Bug Hunting Session
Bug 53460 - TABLE: Writer crashes after trying to resize(decrease) the cell height with a table inside it, using the keyboard shortcuts <ALT>+↑
Summary: TABLE: Writer crashes after trying to resize(decrease) the cell height with ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 ta...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-13 21:03 UTC by Bruno da Cruz Bueno
Modified: 2019-12-07 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
bt on master (5.95 KB, text/plain)
2012-08-13 21:31 UTC, Julien Nabet
Details
Bug 53460 - WinDbg session with FAILED_SOURCE_CODE (19.05 KB, text/plain)
2012-08-27 13:04 UTC, bfoman (inactive)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno da Cruz Bueno 2012-08-13 21:03:55 UTC
When you try to decrease the cell height using the keyboard shortcuts, you crash the Writer.

You can replicate the bug to check:

-open a blank document
-insert a table
-put the cursor inside one cell
-insert a table inside this cell
-move the cursor out the new table created,pressing to go to next line, you'll enter back to the cell with this content
-use the keyboard shorcut <ALT>+↓ to increase the cell height
-when you try to decrease the height(using the shortcut <ALT>+↑), software will crash
Comment 1 Julien Nabet 2012-08-13 21:31:10 UTC
Created attachment 65518 [details]
bt on master

On pc Debian x86-64 with master sources updated today, I reproduced the problem.
-open a blank document
-insert a table (by default 2x2)
-put the cursor inside first cell top left for example
-insert a inner table (by default 2x2) inside this cell
-still in top left cell, go to the line after the inner table
- <ALT>+up key => crash
Comment 2 Bruno da Cruz Bueno 2012-08-13 21:42:23 UTC
I tried on these Os's:
Windows 7 32bit
Windows 7 64bit
Ubuntu 12.04 32bit
Ubuntu 12.04 64bit

All crashed in the same way.

(In reply to comment #0)
> When you try to decrease the cell height using the keyboard shortcuts, you
> crash the Writer.
> 
> You can replicate the bug to check:
> 
> -open a blank document
> -insert a table
> -put the cursor inside one cell
> -insert a table inside this cell
> -move the cursor out the new table created,pressing to go to next line, you'll
> enter back to the cell with this content
> -use the keyboard shorcut <ALT>+↓ to increase the cell height
> -when you try to decrease the height(using the shortcut <ALT>+↑), software will
> crash
Comment 3 bfoman (inactive) 2012-08-27 13:04:34 UTC
Created attachment 66173 [details]
Bug 53460 - WinDbg session with FAILED_SOURCE_CODE

Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Attached full WinDbg session with FAILED_SOURCE_CODE.
Comment 4 Commit Notification 2014-12-10 09:55:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5141f2e0d89a8a10f0009bea40cc5cd15bf4fcc8

Resolves: fdo#53460 crashes after casting SwTxtFrm to unrelated SwLayoutFrm

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-10 10:34:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1a5e49bdb0d6c1533d33520ea7c01a660a5d1f4&h=libreoffice-4-4

Resolves: fdo#53460 crashes after casting SwTxtFrm to unrelated SwLayoutFrm

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-12 09:27:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=793580e9625fd0a86f0e88669ac2db9168874ff7&h=libreoffice-4-3

Resolves: fdo#53460 crashes after casting SwTxtFrm to unrelated SwLayoutFrm

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-02-25 15:00:43 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=522d3e30f2fdc6c749eb1868395b617f04970c83

uitest for bug tdf#53460

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 raal 2019-12-07 19:24:42 UTC
The test exist, set status to Verified.